| Name               | Version    | License                                            | Author                                                          | URL                                               | Description                                                                                                                                                                |
|--------------------|------------|----------------------------------------------------|-----------------------------------------------------------------|---------------------------------------------------|----------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| Bottleneck         | 1.3.5      | BSD License                                        | UNKNOWN                                                         | https://github.com/pydata/bottleneck              | Fast NumPy array functions written in C                                                                                                                                    |
| GitPython          | 3.1.31     | BSD License                                        | Sebastian Thiel, Michael Trier                                  | https://github.com/gitpython-developers/GitPython | GitPython is a Python library used to interact with Git repositories                                                                                                       |
| Mako               | 1.2.3      | MIT License                                        | Mike Bayer                                                      | https://www.makotemplates.org/                    | A super-fast templating language that borrows the best ideas from the existing templating languages.                                                                       |
| MarkupSafe         | 2.1.1      | BSD License                                        | Armin Ronacher                                                  | https://palletsprojects.com/p/markupsafe/         | Safely add untrusted strings to HTML/XML markup.                                                                                                                           |
| Pillow             | 9.3.0      | Historical Permission Notice and Disclaimer (HPND) | Alex Clark (PIL Fork Author)                                    | https://python-pillow.org                         | Python Imaging Library (Fork)                                                                                                                                              |
| PySocks            | 1.7.1      | BSD                                                | Anorov                                                          | https://github.com/Anorov/PySocks                 | A Python SOCKS client module. See https://github.com/Anorov/PySocks for more information.                                                                                  |
| PyYAML             | 6.0        | MIT License                                        | Kirill Simonov                                                  | https://pyyaml.org/                               | YAML parser and emitter for Python                                                                                                                                         |
| Theano-PyMC        | 1.1.2      | BSD License                                        | pymc-devs                                                       | http://deeplearning.net/software/theano/          | Optimizing compiler for evaluating mathematical expressions on CPUs and GPUs.                                                                                              |
| XlsxWriter         | 3.0.8      | BSD License                                        | John McNamara                                                   | https://github.com/jmcnamara/XlsxWriter           | A Python module for creating Excel XLSX files.                                                                                                                             |
| appdirs            | 1.4.4      | MIT License                                        | Trent Mick                                                      | http://github.com/ActiveState/appdirs             | A small Python module for determining appropriate platform-specific dirs, e.g. a "user data dir".                                                                          |
| arviz              | 0.12.1     | Apache Software License                            | ArviZ Developers                                                | http://github.com/arviz-devs/arviz                | Exploratory analysis of Bayesian models                                                                                                                                    |
| attrs              | 22.2.0     | MIT License                                        | Hynek Schlawack                                                 | https://www.attrs.org/                            | Classes Without Boilerplate                                                                                                                                                |
| bandit             | 1.7.4      | Apache Software License                            | PyCQA                                                           | https://bandit.readthedocs.io/                    | Security oriented static analyser for python code.                                                                                                                         |
| black              | 23.1.0     | MIT License                                        | UNKNOWN                                                         | UNKNOWN                                           | The uncompromising code formatter.                                                                                                                                         |
| brotlipy           | 0.7.0      | MIT                                                | Cory Benfield                                                   | https://github.com/python-hyper/brotlipy/         | Python binding to the Brotli library                                                                                                                                       |
| cachetools         | 4.2.2      | MIT License                                        | Thomas Kemmer                                                   | https://github.com/tkem/cachetools/               | Extensible memoizing collections and decorators                                                                                                                            |
| certifi            | 2022.12.7  | Mozilla Public License 2.0 (MPL 2.0)               | Kenneth Reitz                                                   | https://github.com/certifi/python-certifi         | Python package for providing Mozilla's CA Bundle.                                                                                                                          |
| cffi               | 1.15.1     | MIT License                                        | Armin Rigo, Maciej Fijalkowski                                  | http://cffi.readthedocs.org                       | Foreign Function Interface for Python calling C code.                                                                                                                      |
| cfgv               | 3.3.1      | MIT License                                        | Anthony Sottile                                                 | https://github.com/asottile/cfgv                  | Validate configuration and produce human readable error messages.                                                                                                          |
| cftime             | 1.5.1.1    | MIT License                                        | Jeff Whitaker                                                   | UNKNOWN                                           | Time-handling functionality from netcdf4-python                                                                                                                            |
| charset-normalizer | 2.0.4      | MIT License                                        | Ahmed TAHRI @Ousret                                             | https://github.com/ousret/charset_normalizer      | The Real First Universal Charset Detector. Open, modern and actively maintained alternative to Chardet.                                                                    |
| click              | 8.1.3      | BSD License                                        | Armin Ronacher                                                  | https://palletsprojects.com/p/click/              | Composable command line interface toolkit                                                                                                                                  |
| colorama           | 0.4.6      | BSD License                                        | UNKNOWN                                                         | UNKNOWN                                           | Cross-platform colored terminal text.                                                                                                                                      |
| contourpy          | 1.0.5      | BSD License                                        | Ian Thomas                                                      | https://github.com/contourpy/contourpy            | Python library for calculating contours of 2D quadrilateral grids                                                                                                          |
| cryptography       | 38.0.4     | Apache Software License; BSD License               | The Python Cryptographic Authority and individual contributors  | https://github.com/pyca/cryptography              | cryptography is a package which provides cryptographic recipes and primitives to Python developers.                                                                        |
| csv2md             | 1.1.2      | MIT License                                        | Lev Zakharov                                                    | https://github.com/lzakharov/csv2md               | Command line tool for converting CSV files into Markdown tables.                                                                                                           |
| cycler             | 0.11.0     | BSD License                                        | Thomas A Caswell                                                | https://github.com/matplotlib/cycler              | Composable style cycles                                                                                                                                                    |
| dill               | 0.3.6      | BSD License                                        | Mike McKerns                                                    | https://github.com/uqfoundation/dill              | serialize all of python                                                                                                                                                    |
| distlib            | 0.3.6      | Python Software Foundation License                 | Vinay Sajip                                                     | https://github.com/pypa/distlib                   | Distribution utilities                                                                                                                                                     |
| exceptiongroup     | 1.1.0      | MIT License                                        | UNKNOWN                                                         | UNKNOWN                                           | Backport of PEP 654 (exception groups)                                                                                                                                     |
| fastprogress       | 1.0.0      | Apache Software License                            | Sylvain Gugger                                                  | https://github.com/fastai/fastprogress            | A nested progress with plotting options for fastai                                                                                                                         |
| filelock           | 3.9.0      | The Unlicense (Unlicense)                          | UNKNOWN                                                         | UNKNOWN                                           | A platform independent file lock.                                                                                                                                          |
| flake8             | 6.0.0      | MIT License                                        | Tarek Ziade                                                     | https://github.com/pycqa/flake8                   | the modular source code checker: pep8 pyflakes and co                                                                                                                      |
| flit_core          | 3.6.0      | BSD License                                        | UNKNOWN                                                         | UNKNOWN                                           | Distribution-building parts of Flit. See flit package for more information                                                                                                 |
| fonttools          | 4.25.0     | MIT License                                        | Just van Rossum                                                 | http://github.com/fonttools/fonttools             | Tools to manipulate font files                                                                                                                                             |
| ftfy               | 6.1.1      | MIT License                                        | Robyn Speer                                                     | UNKNOWN                                           | Fixes mojibake and other problems with Unicode, after the fact                                                                                                             |
| gitdb              | 4.0.10     | BSD License                                        | Sebastian Thiel                                                 | https://github.com/gitpython-developers/gitdb     | Git Object Database                                                                                                                                                        |
| graphviz           | 0.18       | MIT License                                        | Sebastian Bank                                                  | https://github.com/xflr6/graphviz                 | Simple Python interface for Graphviz                                                                                                                                       |
| hypothesis         | 6.68.2     | Mozilla Public License 2.0 (MPL 2.0)               | David R. MacIver and Zac Hatfield-Dodds                         | https://hypothesis.works                          | A library for property-based testing                                                                                                                                       |
| identify           | 2.5.18     | MIT License                                        | Chris Kuehl                                                     | https://github.com/pre-commit/identify            | File identification library for Python                                                                                                                                     |
| idna               | 3.4        | BSD License                                        | UNKNOWN                                                         | UNKNOWN                                           | Internationalized Domain Names in Applications (IDNA)                                                                                                                      |
| interrogate        | 1.5.0      | MIT License                                        | Lynn Root                                                       | https://interrogate.readthedocs.io                | Interrogate a codebase for docstring coverage.                                                                                                                             |
| isort              | 5.12.0     | MIT License                                        | Timothy Crosley                                                 | https://pycqa.github.io/isort/                    | A Python utility / library to sort Python imports.                                                                                                                         |
| jax                | 0.3.25     | Apache-2.0                                         | JAX team                                                        | https://github.com/google/jax                     | Differentiate, compile, and transform Numpy code.                                                                                                                          |
| jaxlib             | 0.3.25     | Apache-2.0                                         | JAX team                                                        | https://github.com/google/jax                     | XLA library for JAX                                                                                                                                                        |
| kiwisolver         | 1.4.4      | BSD License                                        | UNKNOWN                                                         | UNKNOWN                                           | A fast implementation of the Cassowary constraint solver                                                                                                                   |
| matplotlib         | 3.5.2      | Python Software Foundation License                 | John D. Hunter, Michael Droettboom                              | https://matplotlib.org                            | Python plotting package                                                                                                                                                    |
| matplotlib-inline  | 0.1.2      | BSD 3-Clause                                       | IPython Development Team                                        | https://github.com/martinRenou/matplotlib-inline  | Inline Matplotlib backend for Jupyter                                                                                                                                      |
| mccabe             | 0.7.0      | MIT License                                        | Tarek Ziade                                                     | https://github.com/pycqa/mccabe                   | McCabe checker, plugin for flake8                                                                                                                                          |
| mkl-fft            | 1.3.1      | BSD                                                | Intel Corporation                                               | http://github.com/IntelPython/mkl_fft             | MKL-based FFT transforms for NumPy arrays                                                                                                                                  |
| mkl-random         | 1.2.2      | BSD                                                | Intel Corporation                                               | http://github.com/IntelPython/mkl_random          | UNKNOWN                                                                                                                                                                    |
| mkl-service        | 2.4.0      | BSD                                                | Intel                                                           | https://github.com/IntelPython/mkl-service        | MKL Support Functions                                                                                                                                                      |
| munkres            | 1.1.4      | Apache Software License                            | Brian Clapper                                                   | https://software.clapper.org/munkres/             | Munkres (Hungarian) algorithm for the Assignment Problem                                                                                                                   |
| mypy-extensions    | 1.0.0      | MIT License                                        | The mypy developers                                             | https://github.com/python/mypy_extensions         | Type system extensions for programs checked with the mypy type checker.                                                                                                    |
| netCDF4            | 1.6.2      | MIT License                                        | Jeff Whitaker                                                   | http://github.com/Unidata/netcdf4-python          | Provides an object-oriented python interface to the netCDF version 4 library.                                                                                              |
| nodeenv            | 1.7.0      | BSD License                                        | Eugene Kalinin                                                  | https://github.com/ekalinin/nodeenv               | Node.js virtual environment builder                                                                                                                                        |
| numexpr            | 2.8.4      | MIT License                                        | David M. Cooke, Francesc Alted, and others                      | https://github.com/pydata/numexpr                 | Fast numerical expression evaluator for NumPy                                                                                                                              |
| numpy              | 1.23.5     | BSD License                                        | Travis E. Oliphant et al.                                       | https://www.numpy.org                             | NumPy is the fundamental package for array computing with Python.                                                                                                          |
| opt-einsum         | 3.3.0      | MIT                                                | Daniel Smith                                                    | https://github.com/dgasmith/opt_einsum            | Optimizing numpys einsum function                                                                                                                                          |
| oreum_core         | 0.4.18     | Apache Software License                            | UNKNOWN                                                         | UNKNOWN                                           | Core tools for use on projects by Oreum Industries                                                                                                                         |
| packaging          | 22.0       | Apache Software License; BSD License               | UNKNOWN                                                         | UNKNOWN                                           | Core utilities for Python packages                                                                                                                                         |
| pandas             | 1.5.2      | BSD License                                        | The Pandas Development Team                                     | https://pandas.pydata.org                         | Powerful data structures for data analysis, time series, and statistics                                                                                                    |
| pathspec           | 0.11.0     | Mozilla Public License 2.0 (MPL 2.0)               | UNKNOWN                                                         | UNKNOWN                                           | Utility library for gitignore style pattern matching of file paths.                                                                                                        |
| patsy              | 0.5.3      | BSD License                                        | Nathaniel J. Smith                                              | https://github.com/pydata/patsy                   | A Python package for describing statistical models and for building design matrices.                                                                                       |
| pbr                | 5.11.1     | Apache Software License                            | OpenStack                                                       | https://docs.openstack.org/pbr/latest/            | Python Build Reasonableness                                                                                                                                                |
| pip                | 22.3.1     | MIT License                                        | The pip developers                                              | https://pip.pypa.io/                              | The PyPA recommended tool for installing Python packages.                                                                                                                  |
| pip-licenses       | 4.0.3      | MIT License                                        | raimon                                                          | https://github.com/raimon49/pip-licenses          | Dump the software license list of Python packages installed with pip.                                                                                                      |
| platformdirs       | 3.0.0      | MIT License                                        | UNKNOWN                                                         | UNKNOWN                                           | A small Python package for determining appropriate platform-specific dirs, e.g. a "user data dir".                                                                         |
| pooch              | 1.4.0      | BSD License                                        | Leonardo Uieda                                                  | https://github.com/fatiando/pooch                 | Pooch manages your Python library's sample data files: it automatically downloads and stores them in a local directory, with support for versioning and corruption checks. |
| pre-commit         | 3.1.0      | MIT License                                        | Anthony Sottile                                                 | https://github.com/pre-commit/pre-commit          | A framework for managing and maintaining multi-language pre-commit hooks.                                                                                                  |
| prettytable        | 3.6.0      | BSD License                                        | UNKNOWN                                                         | UNKNOWN                                           | A simple Python library for easily displaying tabular data in a visually appealing ASCII table format                                                                      |
| py                 | 1.11.0     | MIT License                                        | holger krekel, Ronny Pfannschmidt, Benjamin Peterson and others | https://py.readthedocs.io/                        | library with cross-python path, ini-parsing, io, code, log facilities                                                                                                      |
| pyOpenSSL          | 22.0.0     | Apache Software License                            | The pyOpenSSL developers                                        | https://pyopenssl.org/                            | Python wrapper module around the OpenSSL library                                                                                                                           |
| pycodestyle        | 2.10.0     | MIT License                                        | Johann C. Rocholl                                               | https://pycodestyle.pycqa.org/                    | Python style guide checker                                                                                                                                                 |
| pycparser          | 2.21       | BSD License                                        | Eli Bendersky                                                   | https://github.com/eliben/pycparser               | C parser in Python                                                                                                                                                         |
| pyflakes           | 3.0.1      | MIT License                                        | A lot of people                                                 | https://github.com/PyCQA/pyflakes                 | passive checker of Python programs                                                                                                                                         |
| pygpu              | 0.7.6      | UNKNOWN                                            | UNKNOWN                                                         | UNKNOWN                                           | numpy-like wrapper on libgpuarray for GPU computations                                                                                                                     |
| pymc3              | 3.11.4     | Apache Software License                            | UNKNOWN                                                         | http://github.com/pymc-devs/pymc3                 | Probabilistic Programming in Python: Bayesian Modeling and Probabilistic Machine Learning with Theano                                                                      |
| pyparsing          | 3.0.9      | MIT License                                        | UNKNOWN                                                         | UNKNOWN                                           | pyparsing module - Classes and methods to define and execute parsing grammars                                                                                              |
| python-dateutil    | 2.8.2      | Apache Software License; BSD License               | Gustavo Niemeyer                                                | https://github.com/dateutil/dateutil              | Extensions to the standard Python datetime module                                                                                                                          |
| pytz               | 2022.7     | MIT License                                        | Stuart Bishop                                                   | http://pythonhosted.org/pytz                      | World timezone definitions, modern and historical                                                                                                                          |
| regex              | 2022.10.31 | Apache Software License                            | Matthew Barnett                                                 | https://github.com/mrabarnett/mrab-regex          | Alternative regular expression module, to replace re.                                                                                                                      |
| requests           | 2.28.1     | Apache Software License                            | Kenneth Reitz                                                   | https://requests.readthedocs.io                   | Python HTTP for Humans.                                                                                                                                                    |
| scipy              | 1.10.0     | BSD License                                        | UNKNOWN                                                         | https://www.scipy.org                             | SciPy: Scientific Library for Python                                                                                                                                       |
| seaborn            | 0.11.2     | BSD License                                        | Michael Waskom                                                  | https://seaborn.pydata.org                        | seaborn: statistical data visualization                                                                                                                                    |
| semver             | 2.13.0     | BSD License                                        | Kostiantyn Rybnikov                                             | https://github.com/python-semver/python-semver    | Python helper for Semantic Versioning (http://semver.org/)                                                                                                                 |
| setuptools         | 65.6.3     | MIT License                                        | Python Packaging Authority                                      | https://github.com/pypa/setuptools                | Easily download, build, install, upgrade, and uninstall Python packages                                                                                                    |
| six                | 1.16.0     | MIT License                                        | Benjamin Peterson                                               | https://github.com/benjaminp/six                  | Python 2 and 3 compatibility utilities                                                                                                                                     |
| smmap              | 5.0.0      | BSD License                                        | Sebastian Thiel                                                 | https://github.com/gitpython-developers/smmap     | A pure Python implementation of a sliding window memory map manager                                                                                                        |
| sortedcontainers   | 2.4.0      | Apache Software License                            | Grant Jenks                                                     | http://www.grantjenks.com/docs/sortedcontainers/  | Sorted Containers -- Sorted List, Sorted Dict, Sorted Set                                                                                                                  |
| stevedore          | 5.0.0      | Apache Software License                            | OpenStack                                                       | https://docs.openstack.org/stevedore/latest/      | Manage dynamic plugins for Python applications                                                                                                                             |
| tabulate           | 0.9.0      | MIT License                                        | UNKNOWN                                                         | UNKNOWN                                           | Pretty-print tabular data                                                                                                                                                  |
| toml               | 0.10.2     | MIT License                                        | William Pearson                                                 | https://github.com/uiri/toml                      | Python Library for Tom's Obvious, Minimal Language                                                                                                                         |
| tomli              | 2.0.1      | MIT License                                        | UNKNOWN                                                         | UNKNOWN                                           | A lil' TOML parser                                                                                                                                                         |
| traitlets          | 5.9.0      | BSD License                                        | UNKNOWN                                                         | UNKNOWN                                           | Traitlets Python configuration system                                                                                                                                      |
| typing_extensions  | 4.4.0      | Python Software Foundation License                 | UNKNOWN                                                         | UNKNOWN                                           | Backported and Experimental Type Hints for Python 3.7+                                                                                                                     |
| urllib3            | 1.26.14    | MIT License                                        | Andrey Petrov                                                   | https://urllib3.readthedocs.io/                   | HTTP library with thread-safe connection pooling, file post, and more.                                                                                                     |
| virtualenv         | 20.19.0    | MIT License                                        | UNKNOWN                                                         | UNKNOWN                                           | Virtual Python Environment builder                                                                                                                                         |
| wcwidth            | 0.2.6      | MIT License                                        | Jeff Quast                                                      | https://github.com/jquast/wcwidth                 | Measures the displayed width of unicode strings in a terminal                                                                                                              |
| wheel              | 0.38.4     | MIT License                                        | Daniel Holth                                                    | https://github.com/pypa/wheel                     | A built-package format for Python                                                                                                                                          |
| xarray             | 2022.11.0  | Apache Software License                            | xarray Developers                                               | https://github.com/pydata/xarray                  | N-D labeled arrays and datasets in Python                                                                                                                                  |
| xarray-einstats    | 0.5.1      | Apache Software License                            | UNKNOWN                                                         | UNKNOWN                                           | Stats, linear algebra and einops for xarray                                                                                                                                |
